\def\imgpath{content/methodology/sample-data-analysis/images}
\subsection{Sample data analysis}


The dataset provided for the task contained 2 sets of 9 audio signals, one set corresponding to a male voice and the other one corresponding to a female voice. Both sets of samples corresponded to the recordings of numbers between 0 and 9.
Additionally, we managed to record four more sets of data, one male and three females. 

Some challenges associated when processing the data One of the challenging aspects of the task is that the sample data is not perfect. It does not contain accurately cropped words. A considerable part of each audio signal is silence. Moreover some of the recordings where presented as stereo, which after observing that each of the channels had the same or similar value, averaging both would output our desired signal.

Another important characteristic of the signals was that some of the samples were sampled at 44kHz while others at 22kHz. In the case of taking and processing each sample individually this would have no impact on the final results. However it is an important fact to bear in mind in case multiple samples are going to be read and processed at the same time.

 \autoref{fig:original-audio} shows an unprocessed
audio signal. The yellow markers delimit the word pronunciation.

\begin{figure}
    \caption{Sample data of word \emph{jeden} with a male pitched voice}
    \centering
    \includegraphics[width=0.8\textwidth]{\imgpath/original-audio.png}
    \label{fig:original-audio}
\end{figure}

Preliminary analysis showed that the silence can span even to two MFCC clusters (See \ref{subsec:mfcc} and \ref{subsec:k-means}) as it can be observed in
\autoref{fig:silent-clusters}. Both, the green and the red, MFCC features cluster have been assigned to silence. How this issue is dealt will impact considerably in the quality of the results.

\begin{figure}
    \caption{Preliminary analysis of word \emph{jeden} with a male pitched voice}
    \centering
    \includegraphics[width=0.7\textwidth]{\imgpath/silent-clusters.png}
    \label{fig:silent-clusters}
\end{figure}